package org.processmining.processprofiler3d.compviz.fileio;

import java.util.Vector;

public class BMFCharInfo 
{
    public int id = -1;
    public int x = 0;
    public int y = 0;
    public int width = 0;
    public int height = 0;
    public int xoffset = 0;
    public int yoffset = 0;
    public int xadvance = 0;
    public int page = 0;
    public int chnl = 0;

    public BMFCharInfo(Vector<String> lst)
    {
        for (int i = 1; i < lst.size(); i++)
        {
        	String s = lst.get(i);
        	String key = ReadKey(s);
            if (key.equals("id"))
            {
                id = ReadIntValue(s);
            }
            else if (key.equals("x"))
            {
                x = ReadIntValue(s);
            }
            else if (key.equals("y"))
            {
                y = ReadIntValue(s);
            }
            else if (key.equals("width"))
            {
                width = ReadIntValue(s);
            }
            else if (key.equals("height"))
            {
                height = ReadIntValue(s);
            }
            else if (key.equals("xoffset"))
            {
                xoffset = ReadIntValue(s);
            }
            else if (key.equals("yoffset"))
            {
                yoffset = ReadIntValue(s);
            }
            else if (key.equals("xadvance"))
            {
                xadvance = ReadIntValue(s);
            }
            else if (key.equals("page"))
            {
                page = ReadIntValue(s);
            }
            else if (key.equals("chnl"))
            {
                chnl = ReadIntValue(s);
            }
        }
    }

    public String ReadKey(String s)
    {
        if (s.contains("="))
        {
        	String sx = s.substring(0, s.indexOf('='));
            return sx;
        }
        return "";
    }

    public int ReadIntValue(String s)
    {
    	String sx = s.substring(s.indexOf('=')+1);
        int val = Integer.parseInt(sx);
        return val;
    }

}
