package org.processmining.processprofiler3d.compviz.fileio;

import java.util.Vector;

public class BMFFontInfo 
{
    public String face = "";
    public int size = 0;
    public int bold = 0;
    public int italic = 0;

    public BMFFontInfo(Vector<String> lst)
    {
        for (int i = 1; i < lst.size(); i++)
        {
            String s = lst.get(i);
            String key = ReadKey(s);
            if (key.equals("face"))
            {
                face = ReadStringValue(s);
            }
            else if (key.equals("size"))
            {
                size = ReadIntValue(s);
            }
            else if (key.equals("bold"))
            {
                bold = ReadIntValue(s);
            }
            else if (key.equals("italic"))
            {
                italic = ReadIntValue(s);
            }
        }
    }

    public String ReadKey(String s)
    {
        if (s.contains("="))
        {
            String sx = s.substring(0, s.indexOf('='));
            return sx;
        }
        return "";
    }

    public int ReadIntValue(String s)
    {
        String sx = s.substring(s.indexOf('=') + 1);
        int val = Integer.parseInt(sx);
        return val;
    }

    public String ReadStringValue(String s)
    {
        String sx = s.substring(s.indexOf('=') + 1);
        return sx;
    }

}
