package org.processmining.processprofiler3d.compviz.fileio;

import java.util.Vector;

public class BMFKerningInfo 
{
    public int first = 0;
    public int second = 0;
    public int amount = 0;

    public BMFKerningInfo(Vector<String> lst)
    {
        for (int i = 1; i < lst.size(); i++)
        {
            String s = lst.get(i);
            String key = ReadKey(s);
            if (key.equals("first"))
            {
                first = ReadIntValue(s);
            }
            else if (key.equals("second"))
            {
                second = ReadIntValue(s);
            }
            else if (key.equals("amount"))
            {
                amount = ReadIntValue(s);
            }
        }
    }

    public String ReadKey(String s)
    {
        if (s.contains("="))
        {
            String sx = s.substring(0, s.indexOf('='));
            return sx;
        }
        return "";
    }

    public int ReadIntValue(String s)
    {
        String sx = s.substring(s.indexOf('=') + 1);
        int val = Integer.parseInt(sx);
        return val;
    }

}
