package org.processmining.processprofiler3d.compviz.jogl.interactions;

import java.util.HashSet;
import java.util.Vector;

public class InfoPanelCategory 
{
	public String catName = "Category";
	public Vector<String> dataLines = new Vector<String>();
	
	public InfoPanelCategory(String cname)
	{
		catName = cname;
	}
	
	public int getNumLines()
	{
		return (dataLines.size() + 1);
	}
	
	public int getNumLines(HashSet<String> visibleCohorts)
	{
		int i = 1;
		for (String ls : dataLines)
		{
			String cohortName = ls.substring(0, ls.indexOf(":")).trim();
			if (visibleCohorts.contains(cohortName))
			{
				i++;
			}
		}
		return i;
	}
	
	public boolean isEmpty()
	{
		return dataLines.isEmpty();
	}
}
