package org.processmining.processprofiler3d.compviz.jogl.materials;

import org.processmining.visualisation3d.GraphicsPipeline;
import org.processmining.visualisation3d.materials.JoglMaterial;

public class MaterialCull extends JoglMaterial
{
	private CullState oldCullState = CullState.CullNone;
	
	public MaterialCull()
	{
	}

	@Override
	public void Apply(GraphicsPipeline pipe)
	{
		super.Apply(pipe);

		oldCullState = currentCullState;
		setCullState(CullState.CullBack);
	}

	@Override
	public void Unapply(GraphicsPipeline pipe)
	{
		super.Unapply(pipe);

		setCullState(oldCullState);
	}
}
