package org.processmining.processprofiler3d.compviz.jogl.materials;

import org.processmining.visualisation3d.GraphicsPipeline;
import org.processmining.visualisation3d.materials.JoglMaterial;

public class MaterialDepthOnly extends JoglMaterial
{
	private MaskState oldMaskState = MaskState.DrawBoth;
	
	public MaterialDepthOnly()
	{
	}

	@Override
	public void Apply(GraphicsPipeline pipe)
	{
		super.Apply(pipe);

		oldMaskState = currentMaskState;
		setMaskState(MaskState.DrawDepthOnly);
	}

	@Override
	public void Unapply(GraphicsPipeline pipe)
	{
		super.Unapply(pipe);

		setMaskState(oldMaskState);
	}
}
