uniform sampler2D tex;
varying vec2 texcoordsX;

out vec4 out_frag_color;

//const float smoothing = 1.0/16.0;

void main(void)
{
    float distance = texture2D(tex, texcoordsX).a;
    float smoothing = 0.7 * length(vec2(dFdx(distance), dFdy(distance)));
    float alpha = smoothstep(0.5 - smoothing, 0.5 + smoothing, distance) * gl_Color.a;
  out_frag_color = vec4(gl_Color.xyz, alpha);
}