package org.processmining.processprofiler3d.compviz.jogl.scene;

import java.util.HashSet;

import org.processmining.processprofiler3d.compviz.TransitionDataMapDouble;
import org.processmining.processprofiler3d.maths.ScaleTransforms;
import org.processmining.visualisation3d.settings.JoglGraphicsSettings;

public class VisualisationDataPipeline
{
	public JoglGraphicsSettings gSettings;
	public HashSet<String> classifiers = new HashSet<String>();
	public JSOCohortColorManager cohortColors;
	public String scaleMode1 = "Linear";
	public String scaleMode2 = "Linear";
	public TransitionDataMapDouble map1 = null;
	public TransitionDataMapDouble map2 = null;
	
	public double TransformScale1(double ts)
	{
		return ScaleTransforms.TransformScale(ts, scaleMode1);
	}
	
	public double TransformScale2(double ts)
	{
		return ScaleTransforms.TransformScale(ts, scaleMode2);
	}
}
