package org.processmining.processprofiler3d.compviz.jogl.scene.datavis;

import org.processmining.processprofiler3d.compviz.jogl.scene.JSOPSENTransitionVisualizationLayer;
import org.processmining.processprofiler3d.compviz.jogl.scene.JSOPnTransition;
import org.processmining.processprofiler3d.compviz.jogl.scene.VisualisationDataPipeline;

public class JSOPSENTransitionVisualizer_TriangleGlyphs extends JSOPSENTransitionVisualizer_Base
{
	public JSOPSENTransitionVisualizer_TriangleGlyphs(JSOPSENTransitionVisualizationLayer tv)
	{	
		super(tv);
	}
	
	@Override
	public void VisualizeTransitionData(VisualisationDataPipeline tdp)
	{
		//Visualize transition data
		VisualizeTransitionDataTri(tdp, 40.0);
		tv.CreateTriMesh();
	}
	
	private void VisualizeTransitionDataTri(VisualisationDataPipeline tdp, double triHeight)
	{
		for (JSOPnTransition t : tv.snet.getTransitions()) 
		{
			JSODataVisGroup group = new JSODataVisTriangleGroup(tv.snet, t, tdp, triHeight);
			tv.elements.add(group);	
		}		
	}
}
