package org.processmining.processprofiler3d.compviz.scenemanagement;

import org.processmining.processprofiler3d.compviz.PP3DAppBase;
import org.processmining.visualisation3d.JoglInteraction;
import org.processmining.visualisation3d.JoglPanel;
import org.processmining.visualisation3d.scenemanagement.JoglScene;

public class PP3DApplicationInitializer extends JoglInteraction 
{
	public JoglPanel panel = null;
	public PP3DAppBase app = null;
	
	private boolean bInitOnce = false;

	public PP3DApplicationInitializer(JoglPanel p, PP3DAppBase appb)
	{
		panel = p;
		app = appb;
	}
	
	/* (non-Javadoc)
	 * @see org.processmining.processprofiler3d.compviz.scenemanagement.IModelSceneConfig#Load(org.processmining.visualisation3d.scenemanagement.JoglScene, org.processmining.visualisation3d.graphicsdatastructures.JoglCamera, org.processmining.visualisation3d.JoglInteractionManager)
	 */
	@Override
	public void UpdateScene(JoglScene scene)
	{
		if (!bInitOnce)
		{
			app.InitScene(panel.getCamera(), scene, panel);
			panel.getInteractionManager().removeInteraction(this);
			
			bInitOnce = true;
		}
		//app.Load(scene, cam, iman, panel);
		
	}
}
