package org.processmining.processprofiler3d.compviz.vr.jna;

import java.util.List;
import java.util.Vector;

import com.sun.jna.Pointer;
import com.sun.jna.Structure;

public class VRRenderModelVertex extends Structure
{	
	public VRHmdVector3 vPos;
	public VRHmdVector3 vNorm;
	public float[] rfTextureCoord = new float[2];

	public VRRenderModelVertex()
	{
		super();
		
		//this.setAlignType(this.ALIGN_NONE);
	}
	
	public VRRenderModelVertex(Pointer peer)
	{
		super(peer);
		read();
	}
	
	protected List<String> getFieldOrder() 
	{
		Vector<String> lst = new Vector<String>();
		lst.add("vPos");
		lst.add("vNorm");
		lst.add("rfTextureCoord");
		
		return lst;
	}
	
	public static class ByReference extends VRRenderModelVertex implements Structure.ByReference {
		
	};
	public static class ByValue extends VRRenderModelVertex implements Structure.ByValue {
		
	};

}
