package org.processmining.processprofiler3d.netstructure;

import java.util.Vector;

public class PathFragmentFlower extends PathFragmentSequence
{
	private PathFragment myFlowerFrag = null;
	
	public PathFragmentFlower(PathFragment pf1, PathFragment pf2, PathFragment pff)
	{
		super(pf1, pf2);
		myFlowerFrag = pff;
	}
	
	@Override
	public void getSimpleFragments(Vector<PathFragmentSimple> fs)
	{
		if (myFrag1 instanceof PathFragmentSimple)
		{
			fs.add((PathFragmentSimple)myFrag1);
		}
		else
		{
			myFrag1.getSimpleFragments(fs);
		}
		
		if (myFlowerFrag instanceof PathFragmentSimple)
		{
			fs.add((PathFragmentSimple)myFlowerFrag);
		}
		else
		{
			myFlowerFrag.getSimpleFragments(fs);
		}
		
		if (myFrag2 instanceof PathFragmentSimple)
		{
			fs.add((PathFragmentSimple)myFrag2);
		}
		else
		{
			myFrag2.getSimpleFragments(fs);
		}
	}
}
