package org.processmining.processprofiler3d.psen;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.framework.connections.ConnectionCannotBeObtained;
import org.processmining.models.graphbased.directed.petrinet.PetrinetGraph;
import org.processmining.plugins.connectionfactories.logpetrinet.TransEvClassMapping;
import org.processmining.plugins.petrinet.replayresult.PNRepResult;

import nl.tue.astar.AStarException;

public interface ILogReplayer
{

	PNRepResult replayLog(UIPluginContext context, PetrinetGraph net, XLog log)
			throws ConnectionCannotBeObtained, AStarException;

	TransEvClassMapping getMapping();

}