package org.processmining.processprofiler3d.psen.connections;

import org.deckfour.xes.model.XLog;
import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.models.graphbased.directed.petrinet.PetrinetGraph;
import org.processmining.processprofiler3d.psen.replayanalysis.TraceReplayCollection;

public class PSENLogReplayConnection extends AbstractConnection
{
	public static final String NET = "petriNet";
	public static final String LOG = "eventLog";
	public static final String REPLAYANALYSER = "logReplayAnalyser";
	
	public PSENLogReplayConnection(PetrinetGraph origNet, XLog log, TraceReplayCollection lra)
	{
	    super("PSENLogReplay connection for " + origNet.toString() + " and " + log.toString());
	    put(NET, origNet);
	    put(LOG, log);
	    put(REPLAYANALYSER, lra);
	}
}
