package org.processmining.processprofiler3d.psen.preprocess;

import java.awt.event.ActionEvent;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JOptionPane;

import org.deckfour.uitopia.ui.overlay.AbstractOverlayDialog;
import org.processmining.processprofiler3d.psen.gui.OkayCancelOverlayDialog;
import org.processmining.processprofiler3d.psen.gui.ProMUIOverlay;

public class PreprocessMenuDialog extends ProMUIOverlay
{	
	private PreprocessMenuPanel myComponent;
	private JButton okayButton;
	private JButton cancelButton;
	
	public PreprocessMenuDialog(String title, PreprocessMenuPanel c)
	{
		this.myComponent = c;
		this.overlayTitle = title;
		
		this.overlayWidth = 600;
		this.overlayHeight = 800;
	}
	
	@Override
	public void actionPerformed(ActionEvent e)
	{
    	//GetUIHierarchy((JComponent)e.getSource());
    	
		if (e.getSource() == okayButton)
		{
			interactionResult = JOptionPane.YES_OPTION;
		}
		else if (e.getSource() == cancelButton)
		{
			interactionResult = JOptionPane.NO_OPTION;
		}
		else
		{
			interactionResult = JOptionPane.YES_OPTION;
		}
    	CloseDialog();

    	String s = "";
    	s = "";
	}
	
	@Override
	protected JComponent CreateContentPanel()
	{
		return myComponent;
	}
	
	@Override
	protected AbstractOverlayDialog CreateDialog()
	{
		JComponent content = CreateContentPanel();
		
		OkayCancelOverlayDialog afd = new OkayCancelOverlayDialog(overlayTitle, content);
		okayButton = afd.getYesButton();
		cancelButton = afd.getNoButton();
		
		okayButton.addActionListener(this);
		cancelButton.addActionListener(this);
		
		for (JButton btn : myComponent.getButtons())
		{
			btn.addActionListener(this);
		}
		
		return afd;
	}

}
