package org.processmining.processprofiler3d.psen.replayanalysis;

import java.util.Vector;

import org.processmining.models.graphbased.directed.petrinet.elements.Transition;
import org.processmining.processprofiler3d.compviz.INetDataSource;
import org.processmining.processprofiler3d.compviz.SubNetDataSource;
import org.processmining.processprofiler3d.psen.replayanalysis.tokenflow.TokenFlowResults;

public interface ITraceAlignment 
{
	public abstract boolean isValidTrace();

	public abstract void addSubnetEvents(INetDataSource source, Vector<SubNetDataSource> subnets) ;
	
	public abstract Vector<TransitionEvent> getTransitionEventsFor(Transition t);

	public abstract Vector<TransitionEvent> getAllTransitionEvents();

	public abstract TokenFlowResults getFlowResults();
}