package org.processmining.processprofiler3d.psen.replayanalysis.tokenflow;

import org.processmining.processprofiler3d.psen.replayanalysis.TransitionEvent;

public class TokenFlowToken 
{	
	private TransitionEvent createEvent = null;
	
	public TokenFlowToken(TransitionEvent e)
	{
		createEvent = e;
	}
	
	public TokenFlowToken clone()
	{
		return new TokenFlowToken(createEvent);
	}
	
	public void consume(TransitionEvent e)
	{		
		if (createEvent != null)
		{
			e.addParent(createEvent);
		}
//		else
//		{
//			System.out.println("Consume (" + e.getTransitionLabel() + "): no parent event!");
//		}
	}
}
