package org.processmining.processprofiler3d.compviz;

import org.processmining.visualisation3d.maths.JoglVectord3;
import org.processmining.visualisation3d.maths.JoglVectord4;

public class PP3DCohort
{
	public int cohortID;
	public String cohortName;
	public JoglVectord3 cohortColor;
	public boolean bVisible = true;
	public int caseNum = 0;

	public PP3DCohort()
	{
	}
	
	public JoglVectord3 getColorForCohort()
	{
		return cohortColor;
	}
	
	public JoglVectord4 getColor4ForCohort(double alpha)
	{
		JoglVectord3 col = cohortColor;
		return new JoglVectord4(col.getX(), col.getY(), col.getZ(), alpha);
	}

}
