package org.processmining.processprofiler3d.compviz.fileio;

import java.util.Vector;

public class BMFCommonInfo 
{
    public int lineHeight = 0;
    public int baseH = 0;
    public int scaleW = 0;
    public int scaleH = 0;
    public int pages = 0;
    public int packed = 0;

    public BMFCommonInfo(Vector<String> lst)
    {
        for (int i = 1; i < lst.size(); i++)
        {
            String s = lst.get(i);
            String key = ReadKey(s);
            if (key.equals("lineHeight"))
            {
                lineHeight = ReadIntValue(s);
            }
            else if (key.equals("base"))
            {
                baseH = ReadIntValue(s);
            }
            else if (key.equals("scaleW"))
            {
                scaleW = ReadIntValue(s);
            }
            else if (key.equals("scaleH"))
            {
                scaleH = ReadIntValue(s);
            }
            else if (key.equals("pages"))
            {
                pages = ReadIntValue(s);
            }
            else if (key.equals("packed"))
            {
                packed = ReadIntValue(s);
            }
        }
    }

    public String ReadKey(String s)
    {
        if (s.contains("="))
        {
            String sx = s.substring(0, s.indexOf('='));
            return sx;
        }
        return "";
    }

    public int ReadIntValue(String s)
    {
        String sx = s.substring(s.indexOf('=') + 1);
        int val = Integer.parseInt(sx);
        return val;
    }

}
