package org.processmining.processprofiler3d.compviz.jogl;

public class FontFormat 
{
	public static int ALIGN_CENTER = 0;
	public static int ALIGN_LEFT = 1;
	public static int ALIGN_RIGHT = 2;
	
	public double width;
	public double height;
	public int align = 0; //0 = center, 1 = left, 2 = right
	
	public double tweenChars = 0.1;
	private boolean bMonospaced = false;
	
	public float colorR = 0.0f;
	public float colorG = 0.0f;
	public float colorB = 0.0f;
	
	public void setColor(float r, float g, float b)
	{
		colorR = r;
		colorG = g;
		colorB = b;
	}
	
	public boolean isMonospaced()
	{
		return bMonospaced;
	}
	
	public FontFormat clone()
	{
		FontFormat ff = new FontFormat();
		ff.width = width;
		ff.height = height;
		ff.align = align;
		ff.tweenChars = tweenChars;
		
		ff.colorR = colorR;
		ff.colorG = colorG;
		ff.colorB = colorB;
		
		return ff;
	}
}
