package org.processmining.processprofiler3d.compviz.jogl;

import org.processmining.visualisation3d.GraphicsPipeline;
import org.processmining.visualisation3d.JoglPreRenderTask;
import org.processmining.visualisation3d.gldatastructures.JoglTexture;

public class JoglTextureAnisoFilterChange extends JoglPreRenderTask 
{
	private JoglTexture tex;
	private int numSamples = 1;
	
	public JoglTextureAnisoFilterChange(JoglTexture t, int s)
	{
		tex = t;
		numSamples = s;
	}
	
	@Override
	public void Execute(GraphicsPipeline pipe)
	{
		tex.Bind(pipe);
		tex.setAnisoSamples(pipe, numSamples);
		tex.Unbind(pipe);
	}

}
