package org.processmining.processprofiler3d.compviz.jogl.drawing;

import org.processmining.processprofiler3d.compviz.graphicsdatastructures.JoglMesh;
import org.processmining.visualisation3d.GraphicsPipeline;

import com.jogamp.opengl.GL2;

public class JoglMeshDrawer 
{
	public static void draw(GraphicsPipeline pipe, JoglMesh mesh, JoglMeshDrawState dstate)
	{
		GL2 gl = pipe.gl;
		
		// start drawing the mesh
		gl.glBegin(dstate.drawType);

		//draw mesh
		mesh.draw(pipe, dstate.drawStart, dstate.drawEnd);
		
		// done drawing the mesh
		gl.glEnd(); 
	}
}
