package org.processmining.processprofiler3d.compviz.jogl.interactions;

import org.processmining.processprofiler3d.compviz.jogl.gui.JoglGuiTextbox;
import org.processmining.visualisation3d.JoglInteractionManager;
import org.processmining.visualisation3d.scene.JSOGraphicalUserInterface;
import org.processmining.visualisation3d.scenemanagement.JoglScene;

public class JITextboxInputNumeric extends JITextboxInput
{	
	public JITextboxInputNumeric(JoglInteractionManager iman, JoglScene scene, JSOGraphicalUserInterface gui, JoglGuiTextbox label)
	{
		super(iman, scene, gui, label);
	}
	
	@Override
	protected boolean isValidChar(char c)
	{
		if (!(Character.isDigit(c) || c == '.' || c == '-'))
		{
			return false;
		}
		
		int idx = ((int)c) - 32;
		return idx > 0 && idx < 255;
	}
}
