package org.processmining.processprofiler3d.compviz.jogl.interactions.replay;

import java.util.Vector;

import org.deckfour.xes.model.XTrace;
import org.processmining.processprofiler3d.compviz.jogl.scene.JSOPnNode;
import org.processmining.processprofiler3d.compviz.jogl.scene.JSOSubNet;
import org.processmining.processprofiler3d.compviz.jogl.scene.TokenCube;
import org.processmining.visualisation3d.maths.JoglVectord3;

public interface ITokenLane 
{

	public abstract void update();

	public abstract JoglVectord3 getPosition(double factor);
	public abstract JoglVectord3 getOffset();
	public abstract double getScale();
	public abstract JSOSubNet getSubnet();
	
	public abstract Vector<TokenParticle> generateTokenInfos(XTrace trc, double startTime, double endTime, JSOPnNode startNode, JSOPnNode endNode, int cohortId);
	public abstract void AddToken(TokenCube tc);
	public abstract void RemoveToken(TokenCube tc);
	public abstract Vector<TokenCube> getTokens();
}