package org.processmining.processprofiler3d.compviz.jogl.interactions.replay;

import org.deckfour.xes.model.XTrace;
import org.processmining.processprofiler3d.compviz.jogl.scene.JSOSubNet;
import org.processmining.visualisation3d.maths.JoglVectord3;

public class TokenParticle 
{
	public double startTime;
	private double lifeTime;
	private double invLifeTime;
	public JSOSubNet subnet;
	public JoglVectord3 startPos;
	public JoglVectord3 dir;
	public int cohort = 0;
	public XTrace trace = null;
	
	public JoglVectord3 tmpPos;
	public double tmpDist;
	
	public double factor = -1;
	
	public double getLifetime()
	{
		return lifeTime;
	}
	
	public double getInvLifetime()
	{
		return invLifeTime;
	}
	
	public void setLifetime(double lt)
	{
		lifeTime = lt;
		invLifeTime = 1.0 / lt;
	}
}
