package org.processmining.processprofiler3d.compviz.jogl.materials;

import org.processmining.visualisation3d.GraphicsPipeline;
import org.processmining.visualisation3d.materials.JoglMaterial;
import org.processmining.visualisation3d.maths.JoglVectord3;

public class MaterialTokenCubeOpt extends JoglMaterial
{
	private CullState oldCullState = CullState.CullNone;
	
	public MaterialTokenCubeOpt()
	{
	}

	@Override
	public void Apply(GraphicsPipeline pipe)
	{
		super.Apply(pipe);

		oldCullState = currentCullState;
		setCullState(CullState.CullBack);
	}

	@Override
	public void Unapply(GraphicsPipeline pipe)
	{
		super.Unapply(pipe);

		setCullState(oldCullState);
	}
	
	public void DrawColor(JoglVectord3 color)
	{
		setColor(color);   // set the color of the quad (red)
	}
}
