varying vec2 texture_coordinate; 

uniform vec3 textColor;
uniform sampler2D my_color_texture; 

void main( )
{
	vec4 tex = texture2D(my_color_texture, texture_coordinate);

	if (tex.a == 0.0)
		discard;
		
	gl_FragColor = vec4(textColor.r, textColor.g, textColor.b, tex.a);
}
