package org.processmining.processprofiler3d.compviz.jogl.scene;

import org.processmining.processprofiler3d.compviz.jogl.materials.MaterialPetrinetElement;
import org.processmining.visualisation3d.maths.JoglVectord3;
import org.processmining.visualisation3d.maths.JoglVectord4;
import org.processmining.visualisation3d.scenemanagement.JoglSceneObject;

public class JSOPnElement extends JoglSceneObject
{
	protected static MaterialPetrinetElement matPE = new MaterialPetrinetElement();
	protected JSOSubNet parentNet = null;
	
	protected float colorR = 0.0f;
	protected float colorG = 0.0f;
	protected float colorB = 0.0f;

	public JoglVectord3 getColor()
	{
		return new JoglVectord3(colorR, colorG, colorB);
	}
	
	public void setColor(float r, float g, float b)
	{
		colorR = r;
		colorG = g;
		colorB = b;
	}
	
	public void setColor(JoglVectord3 col)
	{
		colorR = (float)col.getX();
		colorG = (float)col.getY();
		colorB = (float)col.getZ();
	}
	
	public void setColor(JoglVectord4 col)
	{
		colorR = (float)col.getX();
		colorG = (float)col.getY();
		colorB = (float)col.getZ();
	}
	
	public JSOSubNet getParentNet()
	{
		return parentNet;
	}
	
	public void setParentNet(JSOSubNet snet)
	{
		parentNet = snet;
	}
}
