package org.processmining.processprofiler3d.compviz.jogl.scene.datavis;

import org.processmining.processprofiler3d.compviz.jogl.scene.JSOPSENTransitionVisualizationLayer;
import org.processmining.processprofiler3d.compviz.jogl.scene.JSOPnTransition;
import org.processmining.processprofiler3d.compviz.jogl.scene.VisualisationDataPipeline;

public class JSOPSENTransitionVisualizer_BarChart1D extends JSOPSENTransitionVisualizer_Base
{
	public JSOPSENTransitionVisualizer_BarChart1D(JSOPSENTransitionVisualizationLayer tv)
	{	
		super(tv);
	}
	
	@Override
	public void VisualizeTransitionData(VisualisationDataPipeline tdp)
	{
		//Visualize transition data
		VisualizeTransitionDataBar1D(tdp, 10.0);
		tv.CreateQuadMesh();
	}
	
	private void VisualizeTransitionDataBar1D(VisualisationDataPipeline tdp, double barHeight)
	{
		for (JSOPnTransition t : tv.snet.getTransitions()) 
		{
			JSODataVisGroup group = new JSODataVisGroupBarChart1D(t, tdp, barHeight);
			tv.elements.add(group);
		}		
	}
}
