package org.processmining.processprofiler3d.compviz.jogl.scene.datavis;

import org.processmining.processprofiler3d.compviz.jogl.scene.JSOPSENTransitionVisualizationLayer;
import org.processmining.processprofiler3d.compviz.jogl.scene.JSOPnTransition;
import org.processmining.processprofiler3d.compviz.jogl.scene.VisualisationDataPipeline;

public class JSOPSENTransitionVisualizer_BarChart2DColor extends JSOPSENTransitionVisualizer_Base
{
	public JSOPSENTransitionVisualizer_BarChart2DColor(JSOPSENTransitionVisualizationLayer tv)
	{	
		super(tv);
	}
	
	@Override
	public void VisualizeTransitionData(VisualisationDataPipeline tdp)
	{
		//Visualize transition data
		VisualizeTransitionDataBar2DColor(tdp, 10.0, 5.0);
		tv.CreateQuadMesh();
	}
	
	private void VisualizeTransitionDataBar2DColor(VisualisationDataPipeline tdp, double barHeight, double barHeight2)
	{
		for (JSOPnTransition t : tv.snet.getTransitions()) 
		{
			JSODataVisGroup group = new JSODataVisGroupBarChart2DColor(t, tdp, barHeight, barHeight2);
			tv.elements.add(group);
		}		
	}
}
