package org.processmining.processprofiler3d.compviz.methods;

import java.util.Vector;

import org.processmining.processprofiler3d.compviz.DataMapNormalization;
import org.processmining.processprofiler3d.compviz.TransitionDataMapDouble;

public class GenericDataVisualizationMethod 
{
//	None (0, "None", false),
//	MagneticLines (1, "Magnetic Lines", true),
//	MagneticLinesNew (2, "Magnetic Lines New", true),
//	QualityLines (3, "Quality Lines", true);

    protected final String visName;
    protected final int dimensions;
    
    public GenericDataVisualizationMethod(String vName, int dim) 
    {
        this.visName = vName;
        this.dimensions = dim;
    }
	
	public String GetName()
	{
		return visName;
	}
	
	public boolean HasVariable1()
	{
		return dimensions >= 1;
	}
	
	public boolean HasVariable2()
	{
		return dimensions >= 2;
	}
	
	public Vector<String> GetLabelNames()
	{
		return new Vector<String>();
	}
	
	public Vector<String> GetClassifierNames()
	{
		return new Vector<String>();
	}
	
	public Vector<String> GetNormalizationNames(int dim)
	{
		return new Vector<String>();
	}
	
	public DataMapNormalization getValidNormalizationMode(int dim, DataMapNormalization current)
	{
		return DataMapNormalization.LocalMax;
	}
	
	public Vector<DataMapNormalization> GetValidNormalizationModes(int dim)
	{
		return new Vector<DataMapNormalization>();
	}

	public TransitionDataMapDouble GenerateDataMap(int dim, String label1Name, DataMapNormalization normMode, String focusClassifier)
	{
		return null;
	}
}
