package org.processmining.processprofiler3d.compviz.vr.jna;

import java.util.List;
import java.util.Vector;

import com.sun.jna.Pointer;
import com.sun.jna.Structure;

public class VRControllerAxis extends Structure
{
	public float x;
	public float y;

	public VRControllerAxis()
	{
		super();
		
		//this.setAlignType(this.ALIGN_NONE);
	}
	
	public VRControllerAxis(Pointer peer)
	{
		super(peer);
		read();
	}
	
	protected List<String> getFieldOrder() 
	{
		Vector<String> lst = new Vector<String>();
		lst.add("x");
		lst.add("y");
		
		return lst;
	}
	
	public static class ByReference extends VRControllerAxis implements Structure.ByReference {
		
	};
	public static class ByValue extends VRControllerAxis implements Structure.ByValue {
		
	};

}
