package org.processmining.processprofiler3d.compviz.vr.jna;

import java.util.List;
import java.util.Vector;

import com.sun.jna.Pointer;
import com.sun.jna.Structure;

public class VRHmdVector3 extends Structure 
{
	public float[] v = new float[3];
	
	public VRHmdVector3() 
	{
		super();
	}
	
	protected List<String> getFieldOrder() 
	{
		Vector<String> lst = new Vector<String>();
		lst.add("v");
		
		return lst;
	}
	
	public VRHmdVector3(float v[]) 
	{
		super();
		if (v.length != 3)
		{
			throw new IllegalArgumentException("Wrong array size!");
		}
		this.v = v;
	}
	
	public VRHmdVector3(Pointer peer) 
	{
		super(peer);
	}
	
	public static class ByReference extends VRHmdVector3 implements Structure.ByReference 
	{	
	};
	
	public static class ByValue extends VRHmdVector3 implements Structure.ByValue 
	{
	};
}
