package org.processmining.processprofiler3d.compviz.vr.jna;

import java.util.List;
import java.util.Vector;

import com.sun.jna.Pointer;
import com.sun.jna.Structure;

public class VRTexture extends Structure
{	
	//public Pointer handle; // void *
	//public IntByReference handle;
	public int handle;
	public int zero = 0;
	public int eType;
	public int eColorSpace;

	public VRTexture()
	{
		super();
		
		//this.setAlignType(this.ALIGN_NONE);
	}
	
	public VRTexture(int texId, int t, int cs)
	{
		super();
		//this.setAlignType(this.ALIGN_NONE);
		//handle = new Memory(4);
		//handle.setInt(0, texId);
		handle = texId;
		//handle = new IntByReference(texId);
		
		eType = t;
		eColorSpace = cs;
	}
	
	public VRTexture(Pointer peer)
	{
		super(peer);
		read();
	}
	
	protected List<String> getFieldOrder() 
	{
		Vector<String> lst = new Vector<String>();
		lst.add("handle");
		lst.add("zero");
		lst.add("eType");
		lst.add("eColorSpace");
		
		return lst;
	}
	
	public static class ByReference extends VRTexture implements Structure.ByReference {
		
	};
	public static class ByValue extends VRTexture implements Structure.ByValue {
		
	};

}
