package org.processmining.processprofiler3d.maths.stats;

public class ShapiroWilkTestResult 
{
	public int ERROR_NONE = 0;
	public int ERROR_N_LESS_THAN_3 = 1;
	public int ERROR_N_GREATER_THAN_5000 = 2;
	public int ERROR_UNKNOWN1 = 3;
	public int ERROR_UNKNOWN2 = 4;
	public int ERROR_UNKNOWN3 = 5;
	public int ERROR_ZERO_RANGE = 6;
	public int ERROR_DATA_NOT_SORTED = 7;
	
	public double testStatistic = 0;
	public double pValue = 0;
	public int errorCode = -1;
	
	public boolean isSignificant()
	{
		return pValue <= 0.01;
	}
	
	public boolean isSignificant(double pLevel)
	{
		return pValue <= pLevel;
	}
}
