package org.processmining.processprofiler3d.netstructure;

import org.processmining.models.graphbased.directed.petrinet.PetrinetNode;
import org.processmining.models.graphbased.directed.petrinet.elements.Arc;

public class PathFragmentSimple extends PathFragment 
{
	private Arc myArc = null;
	
	public PathFragmentSimple(Arc a)
	{
		myArc = a;
	}
	
	@Override
	public PetrinetNode getSource()
	{
		return myArc.getSource();
	}

	@Override
	public PetrinetNode getTarget()
	{
		return myArc.getTarget();
	}
}
