package org.processmining.processprofiler3d.psen.classification;

import java.util.HashSet;

public class CohortDefinitionLiteral extends CohortDefinition
{
	public HashSet<String> values;
	
	public CohortDefinitionLiteral(String n, String aName, HashSet<String> vals)
	{
		super(n, aName);
		
		values = vals;
	}
	
	@Override
	public String getClassifierType()
	{
		return ClassificationCohortLiteral.classifierName;
	}
	
	public ClassificationCohort createClassificationCohort()
	{
		ClassificationCohort cc = new ClassificationCohortLiteral(this);
		
		for (CohortDefinition cd : children)
		{
			cc.addChild(cd.createClassificationCohort());
		}
		
		return cc;
	}
}
