package org.processmining.processprofiler3d.psen.fileio.obj;

import java.util.Vector;

public class SVGScene 
{
	public int width;
	public int height;
	public Vector<SVGPath> paths = new Vector<SVGPath>();
	
	public SVGScene(int w, int h)
	{
		width = w;
		height = h;
	}
	
	public void WriteToFile(String fileName)
	{

		SVGWriter sw = new SVGWriter();
		sw.Open(fileName);
		sw.WriteOpenSVG(width, height);
		//sw.WriteOpenGroup("TestGroup");
		sw.WriteLine("<g id=\"RenderLayer_LineSet\" inkscape:groupmode=\"lineset\" inkscape:label=\"RenderLayer_LineSet\" xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\">");
		sw.WriteLine("<g id=\"strokes\" inkscape:groupmode=\"layer\" inkscape:label=\"strokes\" xmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\">");
		
		for (SVGPath p : paths)
		{
			p.WriteToFile(sw);
		}
		
		sw.WriteCloseGroup();
		sw.WriteCloseGroup();
		sw.WriteCloseSVG();
		sw.Close();
	}

}
