package org.processmining.processprofiler3d.psen.replayanalysis;

import java.util.HashMap;
import java.util.Vector;

import org.processmining.models.graphbased.directed.petrinet.elements.Transition;
import org.processmining.processprofiler3d.compviz.SubNetDataSource;

public class MultiLevel 
{
	public HashMap<String, Vector<TransitionEvent>> data = new HashMap<String, Vector<TransitionEvent>>();
	
	public boolean dataContains(Transition t)
	{
		return data.containsKey(t.getLocalID().toString());
	}
	
	public void addTransitionEventsFromTraceAlignment(Vector<TransitionEvent> evts, Transition t, SubNetDataSource esn)
	{
		if (!data.containsKey(t.getLocalID().toString()))
		{
			//cluster into high-level transitionevents
			MultiLevelCluster mlc = new MultiLevelCluster();
			//MultiLevelClusterNew mlcn = new MultiLevelClusterNew();
			Vector<TransitionEvent> evts2 = mlc.Cluster(t, evts, esn);
			//Vector<TransitionEvent> evts2x = mlcn.Cluster(t, evts, esn);
		
			//if (!evts2.isEmpty())
			//{
				data.put(t.getLocalID().toString(), evts2);
			//}
		}
	}
	
	public Vector<TransitionEvent> getTransitionEventsFromTraceAlignment(Transition t)
	{	
		Vector<TransitionEvent> lst = new Vector<TransitionEvent>(data.get(t.getLocalID().toString()));
		
		return lst;
	}

	public Vector<TransitionEvent> getAllTransitionEvents()
	{
		Vector<TransitionEvent> evts = new Vector<TransitionEvent>();
		for (Vector<TransitionEvent> v : data.values())
		{
			evts.addAll(v);
		}
		
		return evts;
	}
	
}
