package org.processmining.processprofiler3d.psen.replayanalysis;

import java.util.Vector;

import org.deckfour.xes.model.XEvent;
import org.processmining.models.graphbased.directed.petrinet.elements.Transition;
import org.processmining.plugins.petrinet.replayresult.StepTypes;
import org.processmining.processprofiler3d.psen.replayanalysis.tokenflow.TokenFlowToken;

public class TraceReplayStepData 
{
	public int logIndex = 0;
	public XEvent lastEvent = null;
	public int lastEventId = 0;
	
	public StepTypes type;
	public Transition trans;
	
	public boolean bTransitionFired = false;
	public boolean bTokenMismatch = false;
	
	public Vector<TokenFlowToken> parentTokens = null;
	public Vector<TokenFlowToken> childTokens = null;
}
