package org.processmining.processprofiler3d.psen.replayanalysis.stats;

import org.processmining.processprofiler3d.psen.datastructure.IPerformanceStatisticsEnrichedNet;
import org.processmining.processprofiler3d.psen.datastructure.PSENLabel;

public class StatCalculatorTransitionAlignedFrequency extends StatCalculatorTransitionCounts
{
	public StatCalculatorTransitionAlignedFrequency()
	{
		super("Aligned Frequency");
	}
	
	@Override
	public void addLabelsToPSEN(IPerformanceStatisticsEnrichedNet psnet, IPerformanceStatisticsEnrichedNet wtt)
	{
		myLabelNode = "aligned_frequency";
		myLabels.add(new PSENLabel("aligned_frequency", myLabelNode, PSENLabel.SUM, false));
		
		for (PSENLabel myLabel : myLabels)
		{
			psnet.addLabel(myLabel);
		}
	}
	
//	@Override
//	public TimeSpan getTimeForTransitionEvent(TransitionEvent te, XTrace tr)
//	{
//		return te.getDuration(tr);
//	}
}
