package org.processmining.processprofiler3d.psen.replayanalysis.tokenflow;

import org.processmining.models.graphbased.directed.petrinet.PetrinetNode;

public class TokenFlowArcCL implements ITokenFlowArc 
{
	private PetrinetNode mySource;
	private PetrinetNode myTarget;
	private int myWeight = 1;
	
	//This hack is arcward!
	public TokenFlowArcCL(PetrinetNode source, PetrinetNode target, int weight)
	{
		mySource = source;
		myTarget = target;
		myWeight = weight;
	}
	
	/* (non-Javadoc)
	 * @see org.processmining.plugins.psen.replayanalysis.ITokenFlowArc#getSource()
	 */
	@Override
	public PetrinetNode getSource()
	{
		return mySource;
	}
	
	/* (non-Javadoc)
	 * @see org.processmining.plugins.psen.replayanalysis.ITokenFlowArc#getTarget()
	 */
	@Override
	public PetrinetNode getTarget()
	{
		return myTarget;
	}
	
	/* (non-Javadoc)
	 * @see org.processmining.plugins.psen.replayanalysis.ITokenFlowArc#isResetArc()
	 */
	@Override
	public boolean isResetArc()
	{
		return false;
	}
	
	/* (non-Javadoc)
	 * @see org.processmining.plugins.psen.replayanalysis.ITokenFlowArc#isInhibitorArc()
	 */
	@Override
	public boolean isInhibitorArc()
	{
		return false;
	}
	
	/* (non-Javadoc)
	 * @see org.processmining.plugins.psen.replayanalysis.ITokenFlowArc#getWeight()
	 */
	@Override
	public int getWeight()
	{
		return myWeight;
	}
}
