package org.processmining.processprofiler3d.resourceanalysis.plugins;

import javax.swing.JTabbedPane;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;


public class ResourceAnalysisVisualiser 
{

	@Plugin(name = "Process Profiler: Mining Resource Patterns from Event Log", 
			parameterLabels = { "JTabbedPane" }, 
			returnLabels = { "Process Profiler: Mining Resource Patterns from Event Log" }, 
			returnTypes = { JTabbedPane.class }, 
			userAccessible = true, 
			help = "This plug-in mines the resource behaviour patterns from an event log.")
	
    @Visualizer
    public JTabbedPane Visualizer(PluginContext context, JTabbedPane result) 
	{
        return result;
    }
}
